Skip to main content
Get a specific channel by id

Path Parameters

channel_id
string
required

Response

Successful Response

Model representing a channel as returned by the API.

name
string
required

Name of the channel

cycler_id
string
required

Foreign key to the parent cycler

id
string
required

Unique identifier for the channel

organization_id
string
required

Organization this channel belongs to.

project_id
string
required

Project that owns this channel (inherited from its cycler)

created_at
string<date-time>
required

Timestamp when the channel was created

updated_at
string<date-time>
required

Timestamp when the channel was last updated

notes
string | null

Free-text notes about the channel

out_of_commission
boolean
default:false

Whether the channel is deliberately out of service (broken or under maintenance). An out-of-commission channel is shown as such in the Lab view and is not counted as available.

max_amps
number | null

Maximum rated current for the channel, in amps (A).

min_volts
number | null

Minimum rated voltage for the channel, in volts (V).

max_volts
number | null

Maximum rated voltage for the channel, in volts (V).

created_by
string | null

User ID of the user who created this channel

created_by_email
string | null

Email of the user who created this channel